Subject: Re: Get support

From: "brian m. carlson" <[email-masked]>
Date: Wed, 16 Apr 2025 21:17:34 +0000

On 2025-04-16 at 07:35:38, 張秀穎 KITTY wrote:
> Hi git support,
> 
> We have problem ‘cloning repos from AzureDevOps via SourceTree or via command line.’
> We guess this is a Microsoft issue before, but later we find that this issue comes with specific git version. (Microsoft case: 2412240040000772)
> 
> Different git version got different result.
> 
> Git for Windows v2.30.2-rc0.windows.1 ~ 2.43 ---> Clone success
> 
> Git for Windows v2.44.0-rc0.windows.1 or above ---> Clone failed
> 
> 
> To prevent git version 2.30.2~2.43 from reaching EOL, we need to know how to successfully clone repos after upgrading git version to 2.44 or above.
> Any suggestion is appreciate.
> 
> The Error Message:
> 
> ----clone by Sourcetree----
> git -c filter.lfs.smudge= -c filter.lfs.required=false -c diff.mnemonicprefix=false -c core.quotepath=false --no-optional-locks clone --branch develop https://[email-masked]/cfhdevops/IT-CBooking/_git/cathaymeetingroom "\\CFHVDIFSVIP\CFH_VDI_UserData$\00904813.CFHDOM\My Documents\cathaymeetingroom"
> Cloning into '\\CFHVDIFSVIP\CFH_VDI_UserData$\00904813.CFHDOM\My Documents\cathaymeetingroom'...
> error: RPC failed; curl 56 OpenSSL SSL_read: SSL_ERROR_SYSCALL, errno 0 Completed with errors, see above.
> 
> ----clone by command line ----
> $ git clone https://[email-masked]/cfhdevops/IT-Contract/_git/IT-Contract
> Cloning into 'IT-Contract'...
> remote: Azure Repos
> remote: Found 10 objects to send. (25 ms)
> error: RPC failed; curl 56 OpenSSL SSL_read: SSL_ERROR_SYSCALL, errno 0 Unpacking objects: 100% (10/10), 2.18 GiB | 6.12 MiB/s, done.
 
I would recommend reporting this to the Git for Windows project at
https://github.com/git-for-windows/git/issues.  Some searching shows
that this might be https://github.com/git-for-windows/git/issues/4997.

The reason I suggest reporting this there is that this looks like it
might be Windows-specific or specific to a particular version of
libcurl and on Windows the latter is shipped as part of Git for Windows.

I'd also recommend trying to track down with more specificity the exact
versions that are affected, which can help the maintainer identify any
relevant changes and get the problem fixed sooner.  I'm sure Dscho has
introduced lots of changes between 2.30.2 and 2.44.0-rc0, not to mention
the numerous Git changes, and having more details will help pinpoint the
problem more easily.

Also, if you can reproduce the problem with other forges (say, GitHub or
GitLab) or not, that is also helpful information to have.

Best of luck in trying to get this fixed.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA